FILE_NAME = 'FILE_NAME'
DATA_DIR = 'DATA_DIR'
FILE_CREATE_DATE = 'FILE_CREATE_DATE'

## Scan

TELESCOPE_NAME = 'TELESCOP'
SITE_LONG = 'SITELONG'
SITE_LAT = 'SITELAT'
SITE_ELEV = 'SITEELEV'
DIAMETER = 'DIAMETER'

PROJID = 'PROJID'
OBSID = 'OBSID'
SCANNUM = 'SCANNUM'

TIMESYS = 'TIMESYS'
DATE_OBS = 'DATE-OBS'
MJD = 'MJD'
NSUBS = 'NSUBS'

EQUOBS = 'EQUOBS'
LST = 'LST'
NOBS = 'NOBS'
UTC2UT1 = 'UTC2UT1'
TAI2UTC = 'TAI2UTC'
ETUTC = 'ETUTC'
GPSTAI = 'GPSTAI'

WCSNAME = 'WCSNAME'
RADESYS = 'RADESYS'
EQUINOX = 'EQUINOX'
BLNGTYPE = 'BLNGTYPE'
BLATTYPE = 'BLATTYPE'
NLNGZERO = 'NLNGZERO'
NLATZERO = 'NLATZERO'
NLNGTYPE = 'NLNGTYPE'
NLATTYPE = 'NLATTYPE'
LONPOLE = 'LONPOLE'
LATPOLE = 'LATPOLE'

OBJECT = 'OBJECT'
BLONGOBJ = 'BLONGOBJ'
BLATOBJ = 'BLATOBJ'
LONGOBJ = 'LONGOBJ'
LATOBJ = 'LATOBJ'
PATLONG = 'PATLONG'
PATLAT = 'PATLAT'
CALCODE = 'CALCODE'

MOVEFRAM = 'MOVEFRAM'
PERIDATE = 'PERIDATE'
PERIDIST = 'PERIDIST'
LONGASC = 'LONGASC'
OMEGA = 'OMEGA'
INCLINAT = 'INCLINAT'
ECCENTR = 'ECCENTR'
ORBEPOCH = 'ORBEPOCH'
ORBEQNOX = 'ORBEQNOX'
DISTANCE = 'DISTANCE'

SCANTYPE = 'SCANTYPE'
SCANMODE = 'SCANMODE'
SCANGEOM = 'SCANGEOM'
SCANDIR = 'SCANDIR'
SCANLINE = 'SCANLINE'
SCANRPTS = 'SCANRPTS'
SCANLEN = 'SCANLEN'
SCANXVEL = 'SCANXVEL'
SCANTIME = 'SCANTIME'
SCANXSPC = 'SCANXSPC'
SCANYSPC = 'SCANYSPC'
SCANSKEW = 'SCANSKEW'
SCANROT = 'SCANROT'
SCANPAR1 = 'SCANPAR1'
SCANPAR2 = 'SCANPAR2'
CROCYCLE = 'CROCYCLE'
ZIGZAG = 'ZIGZAG'

TRANDIST = 'TRANDIST'
TRANFREQ = 'TRANFREQ'
TRANFOCU = 'TRANFOCU'

WOBUSED = 'WOBUSED'
WOBTHROW = 'WOBTHROW'
WOBDIR = 'WOBDIR'
WOBCYCLE = 'WOBCYCLE'
WOBMODE = 'WOBMODE'
WOBPAT = 'WOBPAT'

PHASE1 = 'PHASE1'
PHASE2 = 'PHASE2'
PHASE3 = 'PHASE3'
PHASE4 = 'PHASE4'
PHASE5 = 'PHASE5'
PHASE6 = 'PHASE6'
PHASE7 = 'PHASE7'
PHASE8 = 'PHASE8'

NFEBE = 'NFEBE'

PDELTAIA = 'PDELTAIA'
PDELTACA = 'PDELTACA'
PDELTAIE = 'PDELTAIE'
FDELTAX = 'FDELTAX'
FDELTAY = 'FDELTAY'
FDELTAZ = 'FDELTAZ'
FDELTAXT = 'FDELTAXT'
FDELTAYT = 'FDELTAYT'
FDELTAZT = 'FDELTAZT'
FDELTAIA = 'FDELTAIA'
FDELTACA = 'FDELTACA'
FDELTAIE = 'FDELTAIE'

IA = 'IA'
IE = 'IE'
HASA = 'HASA'
HACA = 'HACA'
HESE = 'HESE'
HECE = 'HECE'
HESA = 'HESA'
HASA2 = 'HASA2'
HACA2 = 'HACA2'
HESA2 = 'HESA2'
HECA2 = 'HECA2'
HACA3 = 'HACA3'
HECA3 = 'HECA3'
HESA3 = 'HESA3'
NPAE = 'NPAE'
CA = 'CA'
AN = 'AN'
AW = 'AW'



FRONTEND_NAME = 'FRONTEND'
BACKEND_NAME = 'BACKEND'
PRESET_CONFIG_NAME = 'PRESET_CONFIG_NAME'
INTEGRATION_TIME = 'INTEGRATION_TIME'
DOWN_CONVERTER_FREQ = 'DOWN_CONVERTER_FREQ'



## Subscan
SUBSCAN_NUMBER = 'SUBS_SUBSNUM'
SUBSCAN_DATEOBS = 'SUBS_DATEOBS'
SUBS_NLNGTYPE = 'SUBS_NLNGTYPE'
SUBS_NLATTYPE = 'SUBS_NLATTYPE'

# datapar
SUBSTYPE = 'SUBS_TYPE'
SUBS_DPBLOCK = 'SUBS_DPBLOCK'
SUBS_NINTS = 'SUBS_NINTS'
SUBS_OBSTATUS = 'SUBS_OBSTATUS'
SUBS_WOBCOORD = 'SUBS_WOBCOORD'

# arraydata
BASEBAND = 'BASEBAND'
CHANNELS = 'CHANNELS'
NUSEFEED = 'NUSEFEED'
FREQRES = 'FREQRES'
BANDWID = 'BANDWID'
MOLECULE = 'MOLECULE'

TRANSITI = 'SUBS_TRANSITI'
RESTFREQ = 'SUBS_RESTFREQ'
SKYFREQ = 'SUBS_SKYFREQ'
SIDEBAND = 'SUBS_SIDEBAND'
SBSEP = 'SUBS_SBSEP'
SUBS_2CTYP2 = 'SUBS_2CTYP2'
SUBS_2CRPX2 = 'SUBS_2CRPX2'
SUBS_2CRVL2 = 'SUBS_2CRVL2'
SUBS_2CDLT2A = 'SUBS_2CDLT2A'

WCSNM2F = 'SUBS_WCSNM2F'
SUBS_1CTYP2F = 'SUBS_1CTYP2F'
REF_CHANNEL = 'REF_CHANNEL' # 1CRPX2F
FREQ_AT_REF_CH = 'FREQ_AT_REF_CH' # rf freq at ref channel (1CRVL2F)
SUBS_1CDLT2F = 'SUBS_1CDLT2F' # FREQ_RES
SUBS_1CUNI2F = 'SUBS_1CUNI2F'
SUBS_1SPEC2F = 'SUBS_1SPEC2F'
SUBS_1SOBS2F = 'SUBS_1SOBS2F'

WCSNM2I = 'SUBS_WCSNM2I'
SUBS_1CTYP2I = 'SUBS_1CTYP2I'
SUBS_1CRPX2I = 'SUBS_1CRPX2I'
SUBS_1CRVL2I = 'SUBS_1CRVL2I'
SUBS_1CDLT2I = 'SUBS_1CDLT2I'
SUBS_1CUNI2I = 'SUBS_1CUNI2I'
SUBS_1SPEC2I = 'SUBS_1SPEC2I'
SUBS_1SOBS2I = 'SUBS_1SOBS2I'

WCSNM2S = 'SUBS_WCSNM2S'
SUBS_1CTYP2S = 'SUBS_1CTYP2S'
SUBS_1CRPX2S = 'SUBS_1CRPX2S'
SUBS_1CRVL2S = 'SUBS_1CRVL2S'
SUBS_1CDLT2S = 'SUBS_1CDLT2S'
SUBS_1CUNI2S = 'SUBS_1CUNI2S'
SUBS_1SPEC2S = 'SUBS_1SPEC2S'
SUBS_1SOBS2S = 'SUBS_1SOBS2S'

WCSNM2J = 'SUBS_WCSNM2J'
SUBS_1CTYP2J = 'SUBS_1CTYP2J'
SUBS_1CRPX2J = 'SUBS_1CRPX2J'
SUBS_1CRVL2J = 'SUBS_1CRVL2J'
SUBS_1CDLT2J = 'SUBS_1CDLT2J'
SUBS_1CUNI2J = 'SUBS_1CUNI2J'
SUBS_1SPEC2J = 'SUBS_1SPEC2J'
SUBS_1SOBS2J = 'SUBS_1SOBS2J'

WCSNM2R = 'SUBS_WCSNM2R'
SUBS_1CTYP2R = 'SUBS_1CTYP2R'
SUBS_1CRPX2R = 'SUBS_1CRPX2R'
SUBS_1CRVL2R = 'SUBS_1CRVL2R'
SUBS_1CDLT2R = 'SUBS_1CDLT2R'
SUBS_1CUNI2R = 'SUBS_1CUNI2R'
SUBS_1SPEC2R = 'SUBS_1SPEC2R'
SUBS_1SOBS2R = 'SUBS_1SOBS2R'

SUBS_1VSOU2R = 'SUBS_1VSOU2R'
SUBS_1VSYS2R = 'SUBS_1VSYS2R'